Get Patient Plan
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/patient-plans/{patient_plan_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/patient-plans/{patient_plan_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/patient-plans/{patient_plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member_number": "<string>",
"payor_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_order_number": 123,
"plan_eligibility_status": "ACTIVE",
"group_number": null,
"start_date": null,
"end_date": null,
"insurance_type": null,
"source_id": null,
"insurance_card_file_id": null,
"insurance_card_back_file_id": null,
"archived_at": null,
"latest_eligibility_check": null,
"latest_benefits_check": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Plans
Get Patient Plan
GET
/
public
/
v1
/
patient-plans
/
{patient_plan_id}
Get Patient Plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Response schema for patient plan
Response schema for patient plan
Required string length:
2 - 80The order number of the plan (1 for primary, 2 for secondary, etc)
Available options:
ACTIVE, INACTIVE, NO_CHECK Required string length:
2 - 80The type of insurance
Available options:
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE Unique identifier for the patient plan. This is (optionally) generated and supplied by API clients
The file ID corresponding to the front of the insurance card
The file ID corresponding to the back of the insurance card
Response schema for eligibility check information
Show child attributes
Show child attributes
Response schema for benefits check information
Show child attributes
Show child attributes